Mail::Message::Convert::MimeEntity(3)

NAME
Mail::Message::Convert::MimeEntity - translate Mail::Message to MIME::Entity vv

INHERITANCE
 Mail::Message::Convert::MimeEntity
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
  use Mail::Message::Convert::MimeEntity;
  my $convert = Mail::Message::Convert::MimeEntity->new;

  my Mail::Message $msg    = Mail::Message->new;
  my MIME::Entity  $entity = $convert->export($msg);

  my MIME::Entity  $entity = MIME::Entity->new;
  my Mail::Message $msg    = $convert->from($entity);

  use Mail::Box::Manager;
  my $mgr     = Mail::Box::Manager->new;
  my $folder  = $mgr->open(folder => 'Outbox');
  $folder->addMessage($entity);

DESCRIPTION
The MIME::Entity extends Mail::Internet message with multiparts and more methods. The Mail::Message objects are more flexible in how the message parts are stored, and uses separate header and body objects.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

$class->new(%options)
    Inherited, see "METHODS" in Mail::Message::Convert

  Attributes
Extends "Attributes" in Mail::Message::Convert.

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->export( $message, [$parser] )
    Returns a new MIME::Entity message object based on the information from the $message, which is a Mail::Message object.

    You may want to supply your own $parser, which is a MIME::Parser object, to change the parser flags. Without a $parser object, one is created for you, with all the default settings.

    If "undef" is passed, in place of a $message, then an empty list is returned. When the parsing failes, then MIME::Parser throws an exception.

    » example:

      my $convert = Mail::Message::Convert::MimeEntity->new;
      my Mail::Message $msg  = Mail::Message->new;
      my MIME::Entity  $copy = $convert->export($msg);

$obj->from($mime_object)
    Returns a new Mail::Message object based on the information from the specified MIME::Entity. If the conversion fails, the "undef" is returned. If "undef" is passed in place of an OBJECT, then an empty list is returned.

    » example:

      my $convert = Mail::Message::Convert::MimeEntity->new;
      my MIME::Entity  $msg  = MIME::Entity->new;
      my Mail::Message $copy = $convert->from($msg);

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: converting from MIME::Entity but got a $class.
    Cast by from()

Error: export message must be a Mail::Message object, but is $what.
    Cast by export()

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.